2019-03-26 21:20 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002137NetSurfRISC OS-specificpublic2016-02-16 15:27
ReporterDavid Pitt 
Assigned ToChris Young 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRaspberry PiOSRISC OSOS VersionOS5.21
Product Version3.1 
Target VersionFixed in Version3.4 
Summary0002137: Entering accented characters in URLs
DescriptionThough NetSurf can resolve URLs containing accented characters, these cannot be entered manually into either the top URL bar or the menu's "Open URL" tool.
Steps To ReproduceThe test pieces are http://dahlström.net or http://dahlström.net/svg/favicon/favicon.html

Type it in using alt-246 for the o-umlaut. The character is displayed but the URL is not fetched, the error is "NetSurf is running out of memory. Please free some memory and try again.". Cut and paste, from StrongED also fails. Dragging the selected URL from StrongED to the top URL bar works.
TagsNo tags attached.
Fixed in CI build #2859
Reported in CI build #1952
URL of problem pagehttp://dahlström.net or http://dahlström.net/svg/favicon/favicon.html
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0000367

Chris Young (developer)

Steve: Note that the core (now) expects the URL to be passed as UTF-8 in order to convert non-ASCII characters.
Chris Young

~0000877

Chris Young (developer)

Fixed in build 2859.
Vincent Sanders

~0001307

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-06-05 10:55 David Pitt New Issue
2014-06-05 10:55 David Pitt File Added: nslog.zip
2014-06-05 11:36 Vincent Sanders Assigned To => Steve Fryatt
2014-06-05 11:36 Vincent Sanders Status new => acknowledged
2014-06-05 11:42 Chris Young Note Added: 0000367
2015-07-18 19:39 Chris Young Fixed in CI build # => 2859
2015-07-18 19:39 Chris Young Note Added: 0000877
2015-07-18 19:39 Chris Young Status acknowledged => resolved
2015-07-18 19:39 Chris Young Fixed in Version => 3.4
2015-07-18 19:39 Chris Young Resolution open => fixed
2015-07-18 19:39 Chris Young Assigned To Steve Fryatt => Chris Young
2016-02-16 15:27 Vincent Sanders Note Added: 0001307
2016-02-16 15:27 Vincent Sanders Status resolved => closed
+Issue History